# the latest nautilus has required libportal, which not support currently
%bcond_without nautilus

%define gettext_package gnome-terminal

Summary: Terminal emulator for GNOME
Name:    gnome-terminal
Version: 3.45.90
Release: 7%{?dist}
License: GPLv3+ and GFDL and LGPLv2+
URL:     https://wiki.gnome.org/Apps/Terminal
Source0: https://gitlab.gnome.org/GNOME/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
Source1: org.gnome.Terminal.gschema.override

Patch3000: gnome-terminal-cntr-ntfy-autottl-ts.patch
Patch3001: gnome-terminal-3.45.90-nautilus-extension.patch
Patch3002: gnome-terminal-3.45.90-xml-namespaces.patch

BuildRequires: pkgconfig(dconf) pkgconfig(glib-2.0) pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libpcre2-8) pkgconfig(uuid) pkgconfig(vte-2.91)
BuildRequires: desktop-file-utils docbook-style-xsl gettext-devel gcc-c++ gnome-shell itstool
BuildRequires: libxslt meson systemd-rpm-macros yelp-tools /usr/bin/appstream-util
%if %{with nautilus}
BuildRequires: pkgconfig(libnautilus-extension-4)
%endif
Requires: dbus glib2 gsettings-desktop-schemas gtk3 vte291

%description
gnome-terminal is a terminal emulator for GNOME. It features the ability to use multiple terminals
in a single window (tabs) and profiles support.

%if %{with nautilus}
%package nautilus
Summary: GNOME Terminal extension for Nautilus
Requires: %{name} = %{version}-%{release}
Provides: nautilus-open-terminal = %{version}-%{release}

%description nautilus
This package provides a Nautilus extension that adds the 'Open in Terminal' option to the
right-click context menu in Nautilus.
%endif

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
    -Ddebug=true \
    -Ddocs=true \
    -Dnautilus_extension=true \
    -Dsearch_provider=true \
%if %{without nautilus}
    -Dnautilus_extension=false \
%endif
    %{nil}

%meson_build

%install
%meson_install

install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/glib-2.0/schemas

%find_lang %{gettext_package} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Terminal*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Terminal.desktop
%meson_test

%files -f %{gettext_package}.lang
%license COPYING COPYING.GFDL
%doc README.md
%{_bindir}/gnome-terminal
%{_datadir}/applications/org.gnome.Terminal.desktop
%{_libexecdir}/gnome-terminal-server
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.override
%{_datadir}/gnome-shell
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Terminal.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Terminal-symbolic.svg
%dir %{_libdir}/gnome-terminal
%{_libdir}/gnome-terminal/gschemas.compiled
%{_mandir}/man1/gnome-terminal.1*
%{_metainfodir}/org.gnome.Terminal.metainfo.xml
%{_userunitdir}/gnome-terminal-server.service
%if %{without nautilus}
%exclude %{_metainfodir}/org.gnome.Terminal.Nautilus.metainfo.xml
%endif

%if %{with nautilus}
%files nautilus
%{_libdir}/nautilus/extensions-4/libterminal-nautilus.so
%{_metainfodir}/org.gnome.Terminal.Nautilus.metainfo.xml
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.45.90-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.45.90-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.45.90-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.45.90-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 Miaojun Dong <zoedong@tencent.com> - 3.45.90-3
- enable nautilus

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.45.90-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 3.45.90-1
- initial build
